using System;

internal sealed class Delegate130 : MulticastDelegate
{
	public extern int Invoke(object object_0);

	public static int smethod_0(object object_0, Delegate130 delegate130_1)
	{
		return delegate130_1(object_0);
	}

	public extern Delegate130(object object_0, IntPtr intptr_0);

	static Delegate130()
	{
		Class10.smethod_13(typeof(Delegate130).TypeHandle);
	}

	internal static Delegate130 delegate130_0;
}
